/*  ==========================================================================
    Module: TOGGLE NAVIGATION
    http://responsivenavigation.net/examples/simple-toggle/index.html
    ========================================================================== */

    /* VARIABLES
    ========================================================================== */

        $nav-toggle-height:                             44px;
        $nav-toggle-background:                         $positive;
        $nav-toggle-background-large:                   $white;
        $nav-toggle-color:                              $white;


    /* STYLING
    ========================================================================== */

    .nav-toggle
    {
        width: 100%;
        height: $nav-toggle-height;

        color: $nav-toggle-color;
        background-color: $nav-toggle-background;

        @include breakpoint(large)
        {
            background-color: $nav-toggle-background-large;
        }
    }

    .nav-toggle__button
    {
        position: relative;
        z-index: 1;

        padding: 10px 12px;

        text-align: center;
        font-size: 2.3rem;
        color: $nav-toggle-color;
        background-color: $nav-toggle-background;
        text-decoration: none;
        cursor: pointer;

        &:hover
        {
            background-color: darken($nav-toggle-background, 10%);
        }
    }

    .nav-toggle__toggle
    {
        display: inline-block;

        @include breakpoint(large)
        {
            display: none;
        }
    }

    .nav-toggle__title
    {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 0;

        height: $nav-toggle-height;
        overflow: hidden;

        font-family: $font-family-sans-serif-condensed;
        font-size: 2rem;
        line-height: $nav-toggle-height;
        text-align: center;
        text-overflow: ellipsis;
        white-space: nowrap;

        + .nav-toggle__button
        {
            position: absolute;
            top: 0;
            right: 0;
        }

        @include breakpoint(large)
        {
            display: none;
        }
    }

    .nav-toggle__nav
    {
        position: absolute;
        top: 44px;
        left: 0;
        z-index: 1002;

        display: none;
        width: 100%;
        height: $nav-toggle-height;
        margin: 0;
        padding: 0;

        background-color: $white;
        list-style: none outside none;
        box-shadow: 1px 1px 5px rgba(0, 0, 0, .5);

        @include breakpoint(large)
        {
            top: auto;

            display: block;
        }

        &.open
        {
            display: block;
            height: auto;
        }
    }

    .nav__entry
    {
        height: $nav-toggle-height;

        text-align: center;
        line-height: $nav-toggle-height;
        vertical-align: top;

        @include breakpoint(large)
        {
            display: inline-block;
            padding: 0 $r-gutter / 2;

            text-align: left;
        }

        @include breakpoint(huge)
        {
            padding: 0 $r-gutter;
        }

        a
        {
            display: block;

            text-decoration: none;
            color: $gray-85;

            &:hover
            {
                color: $positive;
            }
        }
    }

    .nav__entry--active
    {
        a
        {
            color: $positive;

            &:hover
            {
                color: $assertive;
            }
        }
    }

    .nav__entry__brand
    {
        padding: .3 $r-gutter;
    }